This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 170532 - Review Request: perl-Boulder - An API for hierarchical tag/value structures
Review Request: perl-Boulder - An API for hierarchical tag/value structures
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://www.cora.nwra.com/~orion/fedora/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-12 12:40 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-21 11:41:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-10-12 12:40:40 EDT
Spec Name or Url: http://www.cora.nwra.com/~orion/fedora/perl-Boulder.spec
SRPM Name or Url: http://www.cora.nwra.com/~orion/fedora/perl-Boulder-1.30-1.src.rpm
Description: 

Boulder provides a simple stream-oriented format for transmitting data
objects between one or more processes.  It does not provide for the
serialization of Perl objects the way FreezeThaw or Data::Dumper do, but it
does provide the advantage of being language independent.
Comment 1 Paul Howarth 2005-10-21 07:41:02 EDT
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec, text generated and included
- spec file written in English and is legible
- sources match upstream
- package builds OK in mock for rawhide (i386)
- no explicit BR's
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no desktop entry needed
- no scriptlets

Suggestion:

- perhaps %{perl_vendorlib}/Boulder.pod could be marked as %doc ?

Approved.
Comment 2 Orion Poplawski 2005-10-21 11:41:47 EDT
Thanks for the review!

Not sure how to mark the pod file as %doc, and not sure that other perl modules
do this.

Imported and built on devel.
Comment 3 Paul Howarth 2005-10-21 11:50:26 EDT
(In reply to comment #2)
> Not sure how to mark the pod file as %doc

You could do it by changing in the files list:

%{perl_vendorlib}/*

to:

%doc %{perl_vendorlib}/Boulder.pod
%{perl_vendorlib}/Boulder/
%{perl_vendorlib}/Stone*

which would mark the pod file as %doc and include every other file and directory
as before.

You can see which files are marked as docs in a package using the --docfiles
option of rpm.

> and not sure that other perl modules do this.

Most don't seem to ship the pod files at all.

Comment 4 Orion Poplawski 2005-10-21 11:55:47 EDT
Ah, first I just tried adding it to the %doc list but it complained.  Checked in
the change.  Thanks!
Comment 5 Ville Skyttä 2005-10-21 11:58:23 EDT
(In reply to comment #3)   
> Most don't seem to ship the pod files at all.   
   
On my FC4 box in /usr/lib/perl5/vendor_perl:   
   
    $ find . -name "*.pod" | wc -l   
    381   
   
Marking them as %doc calls for something automagic in rpmbuild instead   
of changing loads of perl-* specfiles IMO. 

Note You need to log in before you can comment on or make changes to this bug.